<?php
session_start(); 
require_once('../conexion.php');
require_once('../include/sesiones.php');

$gar_id=limpiar($_GET['id']);
$can11=mysqli_query($con,"SELECT * FROM garantia_pro_detalle where garntias_proveedor_gar_id='$gar_id' and estado='Sin Vender'") or die(mysqli_error($con));  
while($dato=mysqli_fetch_array($can11))
{   
    $gard_id=$dato['gard_id']; 
    $art_id_bod=$dato['art_id_bod']; 
    $gar_art_id=$dato['gar_art_id']; 
    $gard_cantidad=$dato['gard_cantidad'];
    $can12=mysqli_query($con,"SELECT * FROM articulos_has_bodegas WHERE art_id='$art_id_bod' and articulos_art_id='$gar_art_id' and empresa='$empresa'") or die(mysqli_error($con));
    $dato=mysqli_fetch_array($can12);
    $art_cantidad=$dato['art_cantidad']; 
    $suma=$gard_cantidad+$art_cantidad;  
    $registros=mysqli_query($con,"UPDATE articulos_has_bodegas Set art_cantidad='$suma' Where art_id='$art_id_bod' and articulos_art_id='$gar_art_id' and empresa='$empresa'") or die(mysqli_error($con));
   
    $can15=mysqli_query($con,"SELECT * FROM serial_garantias where garantia_detalle_gard_id='$gard_id'") or die(mysqli_error($con));  
    while($ser=mysqli_fetch_array($can15))
    {
        $gard_codigo=$ser['gard_codigo'];
        $registros=mysqli_query($con,"UPDATE seriales_articulos Set estado='sin vender' Where articulos_art_id='$gar_art_id' and se_codigo='$gard_codigo'") or die(mysqli_error($con));
    }
}

$borrar_sql=mysqli_query($con,"DELETE FROM serial_garantias WHERE garantia_detalle_gard_id='$gard_id'") or die(mysqli_error($con)); 
$borrar_sql=mysqli_query($con,"DELETE FROM garantia_pro_detalle WHERE garntias_proveedor_gar_id='$gar_id'") or die(mysqli_error($con)); 
$borrar_sql=mysqli_query($con,"DELETE FROM garantias_proveedor WHERE gar_id='$gar_id' and empresa='$empresa'") or die(mysqli_error($con)); 
            
echo '<div class="alert alert-danger alert-dismissable">
<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
<strong>Garantia!</strong> Eliminada correctamente.
</div>';             
?>